Get billing unit by ID
GET /v1/billing-units/{billing_unit_id}
Return the billing unit information if it exists.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
billing.billing-unit.read
Request
Parameters
billing_unit_id
Required *
str
The ID of the requested billing unit.
Response
200 - Status 200
id
string
The ID of the billing unit, which is a globally unique identifier (GUID).
crn
string
The Cloud Resource Name (CRN) of the billing unit, scoped to the enterprise account ID.
name
string
The name of the billing unit.
enterprise_id
string
The ID of the enterprise to which the billing unit is associated.
currency_code
string
The currency code for the billing unit.
country_code
string
The country code for the billing unit.
master
boolean
A flag that indicates whether this billing unit is the primary billing mechanism for the enterprise.
created_at
string
The creation date of the billing unit.
401 - Unauthenticated
error_description
string
A message that describes the error.
403 - Unauthorized
error_description
string
A message that describes the error.
404 - Billing unit not found
error_description
string
A message that describes the error.
412 - Failure to resolve enterprise account ID
error_description
string
A message that describes the error.
500 - Unexpected errors
error_description
string
A message that describes the error.
List billing units
GET /v1/billing-units
Return matching billing unit information if any exists. Omits internal properties and enterprise account ID from the billing unit.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
billing.billing-unit.read
Request
Parameters
account_id
str
The enterprise account ID.
enterprise_id
str
The enterprise ID.
account_group_id
str
The account group ID.
Response
200 - Status 200
rows_count
integer
A count of the billing units that were found by the query.
next_url
string
Bookmark URL to query for next batch of billing units. This returns `null` if no additional pages are required.
resources
array
A list of billing units found.
401 - Unauthenticated
error_description
string
A message that describes the error.
403 - Unauthorized
error_description
string
A message that describes the error.
404 - Billing unit not found
error_description
string
A message that describes the error.
412 - Failure to resolve enterprise account ID
error_description
string
A message that describes the error.
500 - Unexpected errors
error_description
string
A message that describes the error.
List billing options
GET /v1/billing-options
Return matching billing options if any exist. Show subscriptions and promotional offers that are available to a billing unit.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
billing.billing-unit.read
Request
Parameters
billing_unit_id
Required *
str
The billing unit ID.
Response
200 - Status 200
rows_count
integer
A count of the billing units that were found by the query.
next_url
string
Bookmark URL to query for next batch of billing units. This returns `null` if no additional pages are required.
resources
array
A list of billing units found.
401 - Unauthenticated
error_description
string
A message that describes the error.
403 - Unauthorized
error_description
string
A message that describes the error.
404 - Billing unit not found
error_description
string
A message that describes the error.
412 - Failure to resolve enterprise account ID
error_description
string
A message that describes the error.
500 - Unexpected errors
error_description
string
A message that describes the error.
Get credit pools
GET /v1/credit-pools
Get credit pools for a billing unit. Credit pools can be either platform or support credit pools. The platform credit pool contains credit from platform subscriptions and promotional offers. The support credit pool contains credit from support subscriptions.
Authorization
To call this method, you must be assigned one or more IAM access roles that include the following action.
billing.billing-unit.read
Request
Parameters
billing_unit_id
Required *
str
The ID of the billing unit.
date
str
The date in the format of YYYY-MM.
type
str
Filters the credit pool by type, either `PLATFORM` or `SUPPORT`.
Response
200 - The request to retrieve credit pools was successful.
rows_count
integer
The number of credit pools that were found by the query.
next_url
string
A bookmark URL to the query for the next batch of billing units. Use a value of `null` if no additional pages are required.
resources
array
A list of credit pools found by the query.
401 - Unauthenticated
error_description
string
A message that describes the error.
403 - Unauthorized
error_description
string
A message that describes the error.
500 - Unexpected internal error
error_description
string
A message that describes the error.